@import url('https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Philosopher:ital,wght@0,400;0,700;1,400;1,700&display=swap');


.center {
    display: flex;
    justify-content: center;
    align-items: center;
}

body {
    font-family: "Work Sans", sans-serif;
    font-weight: 500;
    margin: 0px;
    max-width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
}

a span {
    color: #222;
}

.conteudo {
    text-transform: uppercase;
    width: 1140px;
    flex-direction: column;
    justify-content: start;
}

/* catalogo */
.catalog {
    width: 100%;
    overflow-y: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    padding: 52px 0px;
}

.catalog::-webkit-scrollbar {
    display: none;
}

.product {
    cursor: pointer;
    position: relative;
    width: 255px;
    height: 255px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
    margin-bottom: 40px;
}

.overlay {
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(222, 90, 60, 0.85);
    opacity: 0;
    transition: opacity 0.8s ease;
}

.product:hover .overlay {
    opacity: 1;
}

.text-animation {
    position: relative;
    bottom: -30px;
    opacity: 0;
    transition: opacity 0.5s, bottom 0.5s;
}

.product:hover .text-animation {
    bottom: 0;
    opacity: 1;
}

.text-animation .text1,
.text-animation .text2 {
    color: #fff;
    display: block;
    text-align: center;
    font-weight: bold;
    font-size: 18px;
}

.text-animation .text1 {
    font-size: 23.35px;
    font-family: "Philosopher", sans-serif;
}

.text-animation .text2 {
    margin-top: 14px;
    font-size: 0.95rem;
    line-height: 1;
    text-transform: uppercase;
    font-weight: 500;
}


/* filtro */
.filtro {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 20px;
    position: relative;
}

.menu-icon {
    cursor: pointer;
}

/* icon */
.icon-grid {
    display: inline-block;
    width: 20px;
    /* Largura do ícone */
    height: 20px;
    /* Altura do ícone */
    background-color: transparent;
    position: relative;
}

/* Estilo para os quadrados no ícone de grade */
.icon-grid::before,
.icon-grid::after,
.icon-grid span::before,
.icon-grid span::after {
    content: '';
    position: absolute;
    width: 8px;
    /* Largura dos quadrados */
    height: 8px;
    /* Altura dos quadrados */
    background-color: #de5a3c;
    /* Cor padrão dos quadrados */
    transition: background-color 0.3s ease;
    /* Transição suave da cor */
    border-radius: 2px;
    /* Metade da largura/altura para manter a forma quadrada */
}


/* Posicionamento dos quadrados */
.icon-grid::before {
    top: 0;
    left: 0;
}

.icon-grid::after {
    top: 0;
    right: 0;
}

.icon-grid span::before {
    bottom: 0;
    left: 0;
}

.icon-grid span::after {
    bottom: 0;
    right: 0;
}

/* Altera a cor dos quadrados quando o mouse passa por cima */
.icon-grid:hover::before,
.icon-grid:hover::after,
.icon-grid:hover span::before,
.icon-grid:hover span::after {
    background-color: #eca08f;
    /* Cor ao passar o mouse */
}

/* fim icon */

.filtro-lista {
    max-height: 2000px;
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: none;
    /* Inicia oculto */
    position: absolute;
    top: 100%;
    /* Alterado para iniciar abaixo do ícone */
    right: 0;
    /* Alinha o menu à direita */
    transition: transform 0.3s ease;
    transform: translateY(0);
    /* Define a posição inicial do menu */
}

.filtro-lista.show-filtro {
    display: flex;
    /* Mostra quando a classe show-filtro é aplicada */
    flex-direction: row;
    justify-content: center;
    /* Centraliza horizontalmente os itens do menu */
    align-items: center;
    /* Centraliza verticalmente os itens do menu */
    width: 100%;
    /* Define a largura para ocupar toda a largura do nav */
    animation: slide-down 0.5s ease;
}

.filtro-lista li {
    margin: 0 10px;
}

.filtro-lista li h6 {
    font-size: 12.3px;
    padding: 0px 10px;
    text-decoration: none;
    color: #5f5f5f;
    font-weight: 500;
    cursor: pointer;
    margin: 0px;
}

.footer {
    padding: 40px 0px;
    width: 100%;
    background-color: #EBEBEB;
}

.conteudo_footer {
    width: 1140px;
    flex-direction: column;
}

.footer h2 {
    font-size: 14.25px;
    color: #5f5f5f;
    font-weight: 500;
}

.icons_footer {
    width: 10%;
    justify-content: space-between;
}

.icons_footer i {
    font-size: 18px;
    color: #abaaaa;
    cursor: pointer;
}
/* tudo */
.tudo{
    width: 100%;
    flex-direction: column;
}
.hide{
    display: none;
}
.esconde_list{
    display: none;
}

/* Animação para mover o menu para cima */
@keyframes moveUpMenu {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-100%);
    }
}

.filtro-lista.hidden {
    max-height: 0;
}



@keyframes slide-down {
    0% {
        transform: translateY(-100%);
        /* Alterado para mover de cima para baixo */
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        /* Alterado para mover de cima para baixo */
        opacity: 1;
    }
}

/* tablet */
@media only screen and (max-width: 1200px) {
    .catalog {
        width: 74%;
    }

    .icons_footer {
        width: 35%;
    }

    .conteudo{
        width: 100%;
    }
}

/* tb2 */
@media only screen and (max-width: 878px) {

}


/* cell */
@media only screen and (max-width: 600px) {
    .catalog {
        width: 66%;
    }

    .product {
        width: 380px;
        height: 380px;
    }
}
@media only screen and (max-width: 450px) {
    .catalog {
        width: 92%;
    }
}